/*! ExcelJS 28-04-2017 */
"use strict";var colCache=require("../utils/col-cache"),utils=require("../utils/utils"),Enums=require("./enums"),_require=require("../utils/shared-formula"),slideFormula=_require.slideFormula,Cell=module.exports=function(a,b,c){if(!a||!b)throw new Error("A Cell needs a Row");this._row=a,this._column=b,colCache.validateAddress(c),this._address=c,this._value=Value.create(Cell.Types.Null,this),this.style=this._mergeStyle(a.style,b.style,{}),this._mergeCount=0};Cell.Types=Enums.ValueType,Cell.prototype={get worksheet(){return this._row.worksheet},get workbook(){return this._row.worksheet.workbook},destroy:function(){delete this.style,delete this._value,delete this._row,delete this._column,delete this._address},get numFmt(){return this.style.numFmt},set numFmt(a){this.style.numFmt=a},get font(){return this.style.font},set font(a){this.style.font=a},get alignment(){return this.style.alignment},set alignment(a){this.style.alignment=a},get border(){return this.style.border},set border(a){this.style.border=a},get fill(){return this.style.fill},set fill(a){this.style.fill=a},_mergeStyle:function(a,b,c){var d=a&&a.numFmt||b&&b.numFmt;d&&(c.numFmt=d);var e=a&&a.font||b&&b.font;e&&(c.font=e);var f=a&&a.alignment||b&&b.alignment;f&&(c.alignment=f);var g=a&&a.border||b&&b.border;g&&(c.border=g);var h=a&&a.fill||b&&b.fill;return h&&(c.fill=h),c},get address(){return this._address},get row(){return this._row.number},get col(){return this._column.number},get $col$row(){return"$"+this._column.letter+"$"+this.row},get type(){return this._value.type},get effectiveType(){return this._value.effectiveType},toCsvString:function(){return this._value.toCsvString()},addMergeRef:function(){this._mergeCount++},releaseMergeRef:function(){this._mergeCount--},get isMerged(){return this._mergeCount>0||this.type===Cell.Types.Merge},merge:function(a){this._value.release(),this._value=Value.create(Cell.Types.Merge,this,a),this.style=a.style},unmerge:function(){this.type===Cell.Types.Merge&&(this._value.release(),this._value=Value.create(Cell.Types.Null,this),this.style=this._mergeStyle(this._row.style,this._column.style,{}))},isMergedTo:function(a){return this._value.type===Cell.Types.Merge&&this._value.isMergedTo(a)},get master(){return this.type===Cell.Types.Merge?this._value.master:this},get isHyperlink(){return this._value.type===Cell.Types.Hyperlink},get hyperlink(){return this._value.hyperlink},get value(){return this._value.value},set value(a){if(this.type===Cell.Types.Merge)return void(this._value.master.value=a);this._value.release(),this._value=Value.create(Value.getType(a),this,a)},get text(){return this._value.toString()},toString:function(){return this.text},_upgradeToHyperlink:function(a){this.type===Cell.Types.String&&(this._value=Value.create(Cell.Types.Hyperlink,this,{text:this._value._value,hyperlink:a}))},get formula(){return this._value.formula},get result(){return this._value.result},get formulaType(){return this._value.formulaType},get fullAddress(){return{sheetName:this._row.worksheet.name,address:this.address,row:this.row,col:this.col}},get name(){return this.names[0]},set name(a){this.names=[a]},get names(){return this.workbook.definedNames.getNamesEx(this.fullAddress)},set names(a){var b=this,c=this.workbook.definedNames;this.workbook.definedNames.removeAllNames(b.fullAddress),a.forEach(function(a){c.addEx(b.fullAddress,a)})},addName:function(a){this.workbook.definedNames.addEx(this.fullAddress,a)},removeName:function(a){this.workbook.definedNames.removeEx(this.fullAddress,a)},removeAllNames:function(){this.workbook.definedNames.removeAllNames(this.fullAddress)},get _dataValidations(){return this.worksheet.dataValidations},get dataValidation(){return this._dataValidations.find(this.address)},set dataValidation(a){this._dataValidations.add(this.address,a)},get model(){var a=this._value.model;return a.style=this.style,a},set model(a){this._value.release(),this._value=Value.create(a.type,this),this._value.model=a,a.style?this.style=a.style:this.style={}}};var NullValue=function(a){this.model={address:a.address,type:Cell.Types.Null}};NullValue.prototype={get value(){return null},set value(a){},get type(){return Cell.Types.Null},get effectiveType(){return Cell.Types.Null},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return""},release:function(){},toString:function(){return""}};var NumberValue=function(a,b){this.model={address:a.address,type:Cell.Types.Number,value:b}};NumberValue.prototype={get value(){return this.model.value},set value(a){this.model.value=a},get type(){return Cell.Types.Number},get effectiveType(){return Cell.Types.Number},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return""+this.model.value},release:function(){},toString:function(){return this.model.value.toString()}};var StringValue=function(a,b){this.model={address:a.address,type:Cell.Types.String,value:b}};StringValue.prototype={get value(){return this.model.value},set value(a){this.model.value=a},get type(){return Cell.Types.String},get effectiveType(){return Cell.Types.String},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return'"'+this.model.value.replace(/"/g,'""')+'"'},release:function(){},toString:function(){return this.model.value}};var RichTextValue=function(a,b){this.model={address:a.address,type:Cell.Types.String,value:b}};RichTextValue.prototype={get value(){return this.model.value},set value(a){this.model.value=a},toString:function(){return this.model.value.richText.map(function(a){return a.text}).join("")},get type(){return Cell.Types.RichText},get effectiveType(){return Cell.Types.RichText},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return'"'+this.text.replace(/"/g,'""')+'"'},release:function(){}};var DateValue=function(a,b){this.model={address:a.address,type:Cell.Types.Date,value:b}};DateValue.prototype={get value(){return this.model.value},set value(a){this.model.value=a},get type(){return Cell.Types.Date},get effectiveType(){return Cell.Types.Date},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return this.model.value.toISOString()},release:function(){},toString:function(){return this.model.value.toString()}};var HyperlinkValue=function(a,b){this.model={address:a.address,type:Cell.Types.Hyperlink,text:b?b.text:void 0,hyperlink:b?b.hyperlink:void 0}};HyperlinkValue.prototype={get value(){return{text:this.model.text,hyperlink:this.model.hyperlink}},set value(a){this.model.text=a.text,this.model.hyperlink=a.hyperlink},get text(){return this.model.text},set text(a){this.model.text=a},get hyperlink(){return this.model.hyperlink},set hyperlink(a){this.model.hyperlink=a},get type(){return Cell.Types.Hyperlink},get effectiveType(){return Cell.Types.Hyperlink},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return this.model.hyperlink},release:function(){},toString:function(){return this.model.text}};var MergeValue=function(a,b){this.model={address:a.address,type:Cell.Types.Merge,master:b?b.address:void 0},this._master=b,b&&b.addMergeRef()};MergeValue.prototype={get value(){return this._master.value},set value(a){a instanceof Cell?(this._master&&this._master.releaseMergeRef(),a.addMergeRef(),this._master=a):this._master.value=a},isMergedTo:function(a){return a===this._master},get master(){return this._master},get type(){return Cell.Types.Merge},get effectiveType(){return this._master.effectiveType},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return""},release:function(){this._master.releaseMergeRef()},toString:function(){return this.value.toString()}};var FormulaValue=function(a,b){this.cell=a,this.model={address:a.address,type:Cell.Types.Formula,formula:b?b.formula:void 0,sharedFormula:b?b.sharedFormula:void 0,result:b?b.result:void 0}};FormulaValue.prototype={get value(){return this.model.formula?{formula:this.model.formula,result:this.model.result}:{sharedFormula:this.model.sharedFormula,result:this.model.result}},set value(a){this.model.formula=a.formula,this.model.sharedFormula=a.sharedFormula,this.model.result=a.result},validate:function(a){switch(Value.getType(a)){case Cell.Types.Null:case Cell.Types.String:case Cell.Types.Number:case Cell.Types.Date:break;case Cell.Types.Hyperlink:case Cell.Types.Formula:default:throw new Error("Cannot process that type of result value")}},get dependencies(){return{ranges:this.formula.match(/([a-zA-Z0-9]+!)?[A-Z]{1,3}\d{1,4}:[A-Z]{1,3}\d{1,4}/g),cells:this.formula.replace(/([a-zA-Z0-9]+!)?[A-Z]{1,3}\d{1,4}:[A-Z]{1,3}\d{1,4}/g,"").match(/([a-zA-Z0-9]+!)?[A-Z]{1,3}\d{1,4}/g)}},get formula(){return this.model.formula||this._getTranslatedFormula()},set formula(a){this.model.formula=a},get formulaType(){return this.model.formula?Enums.FormulaType.Master:this.model.sharedFormula?Enums.FormulaType.Shared:Enums.FormulaType.None},get result(){return this.model.result},set result(a){this.model.result=a},get type(){return Cell.Types.Formula},get effectiveType(){var a=this.model.result;return null===a||void 0===a?Enums.ValueType.Null:a instanceof String||"string"==typeof a?Enums.ValueType.String:"number"==typeof a?Enums.ValueType.Number:a instanceof Date?Enums.ValueType.Date:a.text&&a.hyperlink?Enums.ValueType.Hyperlink:a.formula?Enums.ValueType.Formula:Enums.ValueType.Null},get address(){return this.model.address},set address(a){this.model.address=a},_getTranslatedFormula:function(){if(!this._translatedFormula&&this.model.sharedFormula){var a=this.cell._row.worksheet,b=a.findCell(this.model.sharedFormula);this._translatedFormula=b&&slideFormula(b.formula,b.address,this.model.address)}return this._translatedFormula},toCsvString:function(){return""+(this.model.result||"")},release:function(){},toString:function(){return this.model.result?this.model.result.toString():""}};var SharedStringValue=function(a,b){this.model={address:a.address,type:Cell.Types.SharedString,value:b}};SharedStringValue.prototype={get value(){return this.model.value},set value(a){this.model.value=a},get type(){return Cell.Types.SharedString},get effectiveType(){return Cell.Types.SharedString},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return""+this.model.value},release:function(){},toString:function(){return this.model.value.toString()}};var BooleanValue=function(a,b){this.model={address:a.address,type:Cell.Types.Boolean,value:b}};BooleanValue.prototype={get value(){return this.model.value},set value(a){this.model.value=a},get type(){return Cell.Types.Boolean},get effectiveType(){return Cell.Types.Boolean},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return this.model.value?1:0},release:function(){},toString:function(){return this.model.value.toString()}};var ErrorValue=function(a,b){this.model={address:a.address,type:Cell.Types.Error,value:b}};ErrorValue.prototype={get value(){return this.model.value},set value(a){this.model.value=a},get type(){return Cell.Types.Error},get effectiveType(){return Cell.Types.Error},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return this.toString()},release:function(){},toString:function(){return this.model.value.error.toString()}};var JSONValue=function(a,b){this.model={address:a.address,type:Cell.Types.String,value:JSON.stringify(b),rawValue:b}};JSONValue.prototype={get value(){return this.model.rawValue},set value(a){this.model.rawValue=a,this.model.value=JSON.stringify(a)},get type(){return Cell.Types.String},get effectiveType(){return Cell.Types.String},get address(){return this.model.address},set address(a){this.model.address=a},toCsvString:function(){return this.model.value},release:function(){},toString:function(){return this.model.value}};var Value={getType:function(a){return null===a||void 0===a?Cell.Types.Null:a instanceof String||"string"==typeof a?Cell.Types.String:"number"==typeof a?Cell.Types.Number:"boolean"==typeof a?Cell.Types.Boolean:a instanceof Date?Cell.Types.Date:a.text&&a.hyperlink?Cell.Types.Hyperlink:a.formula||a.sharedFormula?Cell.Types.Formula:a.richText?Cell.Types.RichText:a.sharedString?Cell.Types.SharedString:a.error?Cell.Types.Error:Cell.Types.JSON},types:[{t:Cell.Types.Null,f:NullValue},{t:Cell.Types.Number,f:NumberValue},{t:Cell.Types.String,f:StringValue},{t:Cell.Types.Date,f:DateValue},{t:Cell.Types.Hyperlink,f:HyperlinkValue},{t:Cell.Types.Formula,f:FormulaValue},{t:Cell.Types.Merge,f:MergeValue},{t:Cell.Types.JSON,f:JSONValue},{t:Cell.Types.SharedString,f:SharedStringValue},{t:Cell.Types.RichText,f:RichTextValue},{t:Cell.Types.Boolean,f:BooleanValue},{t:Cell.Types.Error,f:ErrorValue}].reduce(function(a,b){return a[b.t]=b.f,a},[]),create:function(a,b,c){var d=this.types[a];if(!d)throw new Error("Could not create Value of type "+a);return new d(b,c)}};