/*! ExcelJS 28-04-2017 */
"use strict";var fs=require("fs"),Archiver=require("archiver"),PromishLib=require("../../utils/promish"),utils=require("../../utils/utils"),StreamBuf=require("../../utils/stream-buf"),RelType=require("../../xlsx/rel-type"),StylesXform=require("../../xlsx/xform/style/styles-xform"),SharedStrings=require("../../utils/shared-strings"),DefinedNames=require("../../doc/defined-names"),CoreXform=require("../../xlsx/xform/core/core-xform"),RelationshipsXform=require("../../xlsx/xform/core/relationships-xform"),ContentTypesXform=require("../../xlsx/xform/core/content-types-xform"),AppXform=require("../../xlsx/xform/core/app-xform"),WorkbookXform=require("../../xlsx/xform/book/workbook-xform"),SharedStringsXform=require("../../xlsx/xform/strings/shared-strings-xform"),WorksheetWriter=require("./worksheet-writer"),theme1Xml=require("../../xlsx/xml/theme1.xml.js");(module.exports=function(a){a=a||{},this.created=a.created||new Date,this.modified=a.modified||this.created,this.creator=a.creator||"ExcelJS",this.lastModifiedBy=a.lastModifiedBy||"ExcelJS",this.lastPrinted=a.lastPrinted,this.useSharedStrings=a.useSharedStrings||!1,this.sharedStrings=new SharedStrings,this.styles=a.useStyles?new StylesXform(!0):new StylesXform.Mock(!0),this._definedNames=new DefinedNames,this._worksheets=[],this.views=[],this.zip=Archiver("zip"),a.stream?this.stream=a.stream:a.filename?this.stream=fs.createWriteStream(a.filename):this.stream=new StreamBuf,this.zip.pipe(this.stream),this.promise=PromishLib.Promish.all([this.addThemes(),this.addOfficeRels()])}).prototype={get definedNames(){return this._definedNames},_openStream:function(a){var b=this,c=new StreamBuf({bufSize:65536,batch:!0});return b.zip.append(c,{name:a}),c.on("finish",function(){c.emit("zipped")}),c},_commitWorksheets:function(){var a=function(a){return a.committed?PromishLib.Promish.resolve():new PromishLib.Promish(function(b){a.stream.on("zipped",function(){b()}),a.commit()})},b=this._worksheets.map(a);return b.length?PromishLib.Promish.all(b):PromishLib.Promish.resolve()},commit:function(){var a=this;return this.promise.then(function(){return a._commitWorksheets()}).then(function(){return PromishLib.Promish.all([a.addContentTypes(),a.addApp(),a.addCore(),a.addSharedStrings(),a.addStyles(),a.addWorkbookRels()])}).then(function(){return a.addWorkbook()}).then(function(){return a._finalize()})},get nextId(){var a;for(a=1;a<this._worksheets.length;a++)if(!this._worksheets[a])return a;return this._worksheets.length||1},addWorksheet:function(a,b){b=b||{};var c=void 0!==b.useSharedStrings?b.useSharedStrings:this.useSharedStrings;b.tabColor&&(console.trace("tabColor option has moved to { properties: tabColor: {...} }"),b.properties=Object.assign({tabColor:b.tabColor},b.properties));var d=this.nextId;a=a||"sheet"+d;var e=new WorksheetWriter({id:d,name:a,workbook:this,useSharedStrings:c,properties:b.properties,pageSetup:b.pageSetup,views:b.views,autoFilter:b.autoFilter});return this._worksheets[d]=e,e},getWorksheet:function(a){return void 0===a?this._worksheets.find(function(){return!0}):"number"==typeof a?this._worksheets[a]:"string"==typeof a?this._worksheets.find(function(b){return b&&b.name===a}):void 0},addStyles:function(){var a=this;return new PromishLib.Promish(function(b){a.zip.append(a.styles.xml,{name:"xl/styles.xml"}),b()})},addThemes:function(){var a=this;return new PromishLib.Promish(function(b){a.zip.append(theme1Xml,{name:"xl/theme/theme1.xml"}),b()})},addOfficeRels:function(){var a=this;return new PromishLib.Promish(function(b){var c=new RelationshipsXform,d=c.toXml([{rId:"rId1",type:RelType.OfficeDocument,target:"xl/workbook.xml"}]);a.zip.append(d,{name:"/_rels/.rels"}),b()})},addContentTypes:function(){var a=this;return new PromishLib.Promish(function(b){var c={worksheets:a._worksheets.filter(Boolean)},d=new ContentTypesXform,e=d.toXml(c);a.zip.append(e,{name:"[Content_Types].xml"}),b()})},addApp:function(){var a=this;return new PromishLib.Promish(function(b){var c={worksheets:a._worksheets.filter(Boolean)},d=new AppXform,e=d.toXml(c);a.zip.append(e,{name:"docProps/app.xml"}),b()})},addCore:function(){var a=this;return new PromishLib.Promish(function(b){var c=new CoreXform,d=c.toXml(a);a.zip.append(d,{name:"docProps/core.xml"}),b()})},addSharedStrings:function(){var a=this;return this.sharedStrings.count?new PromishLib.Promish(function(b){var c=new SharedStringsXform,d=c.toXml(a.sharedStrings);a.zip.append(d,{name:"/xl/sharedStrings.xml"}),b()}):PromishLib.Promish.resolve()},addWorkbookRels:function(){var a=this,b=1,c=[{rId:"rId"+b++,type:RelType.Styles,target:"styles.xml"},{rId:"rId"+b++,type:RelType.Theme,target:"theme/theme1.xml"}];return this.sharedStrings.count&&c.push({rId:"rId"+b++,type:RelType.SharedStrings,target:"sharedStrings.xml"}),this._worksheets.forEach(function(a){a&&(a.rId="rId"+b++,c.push({rId:a.rId,type:RelType.Worksheet,target:"worksheets/sheet"+a.id+".xml"}))}),new PromishLib.Promish(function(b){var d=new RelationshipsXform,e=d.toXml(c);a.zip.append(e,{name:"/xl/_rels/workbook.xml.rels"}),b()})},addWorkbook:function(){var a=this.zip,b={worksheets:this._worksheets.filter(Boolean),definedNames:this._definedNames.model,views:this.views,properties:{}};return new PromishLib.Promish(function(c){var d=new WorkbookXform;d.prepare(b),a.append(d.toXml(b),{name:"/xl/workbook.xml"}),c()})},_finalize:function(){var a=this;return new PromishLib.Promish(function(b,c){a.stream.on("error",c),a.stream.on("finish",function(){b(a)}),a.zip.on("error",c),a.zip.finalize()})}};