/*! ExcelJS 28-04-2017 */
"use strict";var fs=require("fs"),utils=require("../../utils/utils"),colCache=require("../../utils/col-cache"),Dimensions=require("../../doc/range"),StringBuf=require("../../utils/string-buf"),Row=require("../../doc/row"),Column=require("../../doc/column"),HyperlinkWriter=require("./hyperlink-writer"),DataValidations=require("../../doc/data-validations"),xml=new StringBuf,ListXform=require("../../xlsx/xform/list-xform"),DataValidationsXform=require("../../xlsx/xform/sheet/data-validations-xform"),SheetPropertiesXform=require("../../xlsx/xform/sheet/sheet-properties-xform"),SheetFormatPropertiesXform=require("../../xlsx/xform/sheet/sheet-format-properties-xform"),ColXform=require("../../xlsx/xform/sheet/col-xform"),RowXform=require("../../xlsx/xform/sheet/row-xform"),HyperlinkXform=require("../../xlsx/xform/sheet/hyperlink-xform"),SheetViewXform=require("../../xlsx/xform/sheet/sheet-view-xform"),PageMarginsXform=require("../../xlsx/xform/sheet/page-margins-xform"),PageSetupXform=require("../../xlsx/xform/sheet/page-setup-xform"),AutoFilterXform=require("../../xlsx/xform/sheet/auto-filter-xform"),xform={dataValidations:new DataValidationsXform,sheetProperties:new SheetPropertiesXform,sheetFormatProperties:new SheetFormatPropertiesXform,columns:new ListXform({tag:"cols",length:!1,childXform:new ColXform}),row:new RowXform,hyperlinks:new ListXform({tag:"hyperlinks",length:!1,childXform:new HyperlinkXform}),sheetViews:new ListXform({tag:"sheetViews",length:!1,childXform:new SheetViewXform}),pageMargins:new PageMarginsXform,pageSeteup:new PageSetupXform,autoFilter:new AutoFilterXform};(module.exports=function(a){this.id=a.id,this.name=a.name||"Sheet"+this.id,this._rows=[],this._columns=null,this._keys={},this._merges=[],this._merges.add=function(){},this._hyperlinkWriter=new HyperlinkWriter(a),this._dimensions=new Dimensions,this._rowZero=1,this.committed=!1,this.dataValidations=new DataValidations,this._formulae={},this._siFormulae=0,this.properties=Object.assign({},{defaultRowHeight:15,dyDescent:55,outlineLevelCol:0,outlineLevelRow:0},a.properties),this.pageSetup=Object.assign({},{margins:{left:.7,right:.7,top:.75,bottom:.75,header:.3,footer:.3},orientation:"portrait",horizontalDpi:4294967295,verticalDpi:4294967295,fitToPage:!(!a.pageSetup||!a.pageSetup.fitToWidth&&!a.pageSetup.fitToHeight||a.pageSetup.scale),pageOrder:"downThenOver",blackAndWhite:!1,draft:!1,cellComments:"None",errors:"displayed",scale:100,fitToWidth:1,fitToHeight:1,paperSize:void 0,showRowColHeaders:!1,showGridLines:!1,horizontalCentered:!1,verticalCentered:!1,rowBreaks:null,colBreaks:null},a.pageSetup),this.useSharedStrings=a.useSharedStrings||!1,this._workbook=a.workbook,this._views=a.views||[],this.autoFilter=a.autoFilter||null,this._writeOpenWorksheet(),this.startedData=!1}).prototype={get workbook(){return this._workbook},get stream(){return this._stream||(this._stream=this._workbook._openStream("/xl/worksheets/sheet"+this.id+".xml"),this._stream.pause()),this._stream},destroy:function(){throw new Error("Invalid Operation: destroy")},commit:function(){if(!this.committed){var a=this;this._rows.forEach(function(b){b&&a._writeRow(b)}),this._rows=null,this.startedData||this._writeOpenSheetData(),this._writeCloseSheetData(),this._writeAutoFilter(),this._writeMergeCells(),this._writeHyperlinks(),this._writeDataValidations(),this._writePageMargins(),this._writePageSetup(),this._writeCloseWorksheet(),this.stream.end(),this._hyperlinkWriter.commit(),this.committed=!0}},get dimensions(){return this._dimensions},get views(){return this._views},get columns(){return this._columns},set columns(a){var b=this;this._headerRowCount=a.reduce(function(a,b){var c=b.header&&1||b.headers&&b.headers.length||0;return Math.max(a,c)},0);var c=1,d=this._columns=[];a.forEach(function(a){var e=new Column(b,c++,!1);d.push(e),e.defn=a})},getColumn:function(a){if("string"==typeof a){var b=this._keys[a];if(b)return b;a=colCache.l2n(a)}if(this._columns||(this._columns=[]),a>this._columns.length)for(var c=this._columns.length+1;c<=a;)this._columns.push(new Column(this,c++));return this._columns[a-1]},get _nextRow(){return this._rowZero+this._rows.length},eachRow:function(a,b){if(b||(b=a,a=void 0),a&&a.includeEmpty)for(var c=this._nextRow,d=this._rowZero;d<c;d++)b(this.getRow(d),d);else this._rows.forEach(function(a){a.hasValues&&b(a,a.number)})},_commitRow:function(a){for(var b=!1;this._rows.length&&!b;){var c=this._rows.shift();this._rowZero++,c&&(this._writeRow(c),b=c.number===a.number,this._rowZero=c.number+1)}},get lastRow(){if(this._rows.length)return this._rows[this._rows.length-1]},findRow:function(a){var b=a-this._rowZero;return this._rows[b]},getRow:function(a){var b=a-this._rowZero;if(b<0)throw new Error("Out of bounds: this row has been committed");var c=this._rows[b];return c||(this._rows[b]=c=new Row(this,a)),c},addRow:function(a){var b=new Row(this,this._nextRow);return this._rows[b.number-this._rowZero]=b,b.values=a,b},findCell:function(a,b){var c=colCache.getAddress(a,b),d=this.findRow(c.row);return d?d.findCell(c.column):void 0},getCell:function(a,b){var c=colCache.getAddress(a,b);return this.getRow(c.row)._getCell(c)},mergeCells:function(){var a=new Dimensions(Array.prototype.slice.call(arguments,0));this._merges.forEach(function(b){if(b.intersects(a))throw new Error("Cannot merge already merged cells")});for(var b=this.getCell(a.top,a.left),c=a.top;c<=a.bottom;c++)for(var d=a.left;d<=a.right;d++)(c>a.top||d>a.left)&&this.getCell(c,d).merge(b);this._merges.push(a)},_write:function(a){xml.reset(),xml.addText(a),this.stream.write(xml)},_writeSheetProperties:function(a,b,c){var d={tabColor:b&&b.tabColor,pageSetup:c&&c.fitToPage?{fitToPage:c.fitToPage}:void 0};a.addText(xform.sheetProperties.toXml(d))},_writeSheetFormatProperties:function(a,b){var c=b?{defaultRowHeight:b.defaultRowHeight,dyDescent:b.dyDescent,outlineLevelCol:b.outlineLevelCol,outlineLevelRow:b.outlineLevelRow}:void 0;a.addText(xform.sheetFormatProperties.toXml(c))},_writeOpenWorksheet:function(){xml.reset(),xml.addText('<?xml version="1.0" encoding="UTF-8" standalone="yes"?>'),xml.addText('<worksheet xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x14ac" xmlns:x14ac="http://schemas.microsoft.com/office/spreadsheetml/2009/9/ac">'),this._writeSheetProperties(xml,this.properties,this.pageSetup),xml.addText(xform.sheetViews.toXml(this.views)),this._writeSheetFormatProperties(xml,this.properties),this.stream.write(xml)},_writeColumns:function(){var a=Column.toModel(this.columns);a&&(xform.columns.prepare(a,{styles:this._workbook.styles}),this.stream.write(xform.columns.toXml(a)))},_writeOpenSheetData:function(){this._write("<sheetData>")},_writeRow:function(a){var b=this;if(this.startedData||(this._writeColumns(),this._writeOpenSheetData(),this.startedData=!0),a.hasValues||a.height){var c=a.model,d={styles:this._workbook.styles,sharedStrings:b.useSharedStrings?b._workbook.sharedStrings:void 0,hyperlinks:this._hyperlinkWriter,merges:this._merges,formulae:this._formulae,siFormulae:this._siFormulae};xform.row.prepare(c,d),this.stream.write(xform.row.toXml(c))}},_writeCloseSheetData:function(){this._write("</sheetData>")},_writeMergeCells:function(){this._merges.length&&(xml.reset(),xml.addText('<mergeCells count="'+this._merges.length+'">'),this._merges.forEach(function(a){xml.addText('<mergeCell ref="'+a+'"/>')}),xml.addText("</mergeCells>"),this.stream.write(xml))},_writeHyperlinks:function(){this.stream.write(xform.hyperlinks.toXml(this._hyperlinkWriter._hyperlinks))},_writeDataValidations:function(){this.stream.write(xform.dataValidations.toXml(this.dataValidations.model))},_writePageMargins:function(){this.stream.write(xform.pageMargins.toXml(this.pageSetup.margins))},_writePageSetup:function(){this.stream.write(xform.pageSeteup.toXml(this.pageSetup))},_writeAutoFilter:function(){this.stream.write(xform.autoFilter.toXml(this.autoFilter))},_writeDimensions:function(){},_writeCloseWorksheet:function(){this._write("</worksheet>")}};