/*! ExcelJS 28-04-2017 */
"use strict";function getValueType(a){if(null===a||void 0===a)return Enums.ValueType.Null;if(a instanceof String||"string"==typeof a)return Enums.ValueType.String;if("number"==typeof a)return Enums.ValueType.Number;if("boolean"==typeof a)return Enums.ValueType.Boolean;if(a instanceof Date)return Enums.ValueType.Date;if(a.text&&a.hyperlink)return Enums.ValueType.Hyperlink;if(a.formula)return Enums.ValueType.Formula;if(a.SharedFormula)return Enums.ValueType.SharedFormula;if(a.error)return Enums.ValueType.Error;throw new Error("I could not understand type of value")}function getEffectiveCellType(a){switch(a.type){case Enums.ValueType.Formula:return getValueType(a.result);default:return a.type}}var utils=require("../../../utils/utils"),BaseXform=require("../base-xform"),Enums=require("../../../doc/enums"),RelType=require("../../rel-type"),Range=require("../../../doc/range"),CellXform=module.exports=function(){};utils.inherits(CellXform,BaseXform,{get tag(){return"c"},prepare:function(a,b){var c=b.styles.addStyleModel(a.style||{},getEffectiveCellType(a));switch(c&&(a.styleId=c),a.type){case Enums.ValueType.String:b.sharedStrings&&(a.ssId=b.sharedStrings.add(a.value));break;case Enums.ValueType.Date:b.date1904&&(a.date1904=!0);break;case Enums.ValueType.Hyperlink:b.sharedStrings&&(a.ssId=b.sharedStrings.add(a.text));var d=b.hyperlinks.length+1;b.hyperlinks.push({address:a.address,rId:"rId"+d,type:RelType.Hyperlink,target:a.hyperlink,targetMode:"External"});break;case Enums.ValueType.Merge:b.merges.add(a);break;case Enums.ValueType.Formula:if(b.date1904&&(a.date1904=!0),a.formula)b.formulae[a.address]=a;else if(a.sharedFormula){var e=b.formulae[a.sharedFormula];if(!e)throw new Error("Shared Formula master must exist above and or left of clone");void 0!==e.si?(a.si=e.si,e.ref.expandToAddress(a.address)):(a.si=e.si=b.siFormulae++,e.ref=new Range(e.address,a.address))}}},renderFormula:function(a,b){var c=null;switch(b.ref?c={t:"shared",ref:b.ref.range,si:b.si}:void 0!==b.si&&(c={t:"shared",si:b.si}),getValueType(b.result)){case Enums.ValueType.Null:a.leafNode("f",c,b.formula);break;case Enums.ValueType.String:a.addAttribute("t","str"),a.leafNode("f",c,b.formula),a.leafNode("v",null,b.result);break;case Enums.ValueType.Number:a.leafNode("f",c,b.formula),a.leafNode("v",null,b.result);break;case Enums.ValueType.Boolean:a.addAttribute("t","b"),a.leafNode("f",c,b.formula),a.leafNode("v",null,b.result?1:0);break;case Enums.ValueType.Error:a.addAttribute("t","e"),a.leafNode("f",c,b.formula),a.leafNode("v",null,b.result.error);break;case Enums.ValueType.Date:a.leafNode("f",c,b.formula),a.leafNode("v",null,utils.dateToExcel(b.result,b.date1904));break;default:throw new Error("I could not understand type of value")}},render:function(a,b){if(b.type!==Enums.ValueType.Null||b.styleId){switch(a.openNode("c"),a.addAttribute("r",b.address),b.styleId&&a.addAttribute("s",b.styleId),b.type){case Enums.ValueType.Null:break;case Enums.ValueType.Number:a.leafNode("v",null,b.value);break;case Enums.ValueType.Boolean:a.addAttribute("t","b"),a.leafNode("v",null,b.value?"1":"0");break;case Enums.ValueType.Error:a.addAttribute("t","e"),a.leafNode("v",null,b.value.error);break;case Enums.ValueType.String:void 0!==b.ssId?(a.addAttribute("t","s"),a.leafNode("v",null,b.ssId)):(a.addAttribute("t","str"),a.leafNode("v",null,b.value));break;case Enums.ValueType.Date:a.leafNode("v",null,utils.dateToExcel(b.value,b.date1904));break;case Enums.ValueType.Hyperlink:void 0!==b.ssId?(a.addAttribute("t","s"),a.leafNode("v",null,b.ssId)):(a.addAttribute("t","str"),a.leafNode("v",null,b.text));break;case Enums.ValueType.Formula:this.renderFormula(a,b);break;case Enums.ValueType.Merge:}a.closeNode()}},parseOpen:function(a){switch(a.name){case"c":var b=this.model={address:a.attributes.r};return this.t=a.attributes.t,a.attributes.s&&(b.styleId=parseInt(a.attributes.s,0)),!0;case"f":return this.currentNode="f",this.model.si=a.attributes.si,"shared"===a.attributes.t&&(this.model.sharedFormula=!0),this.model.ref=a.attributes.ref,!0;case"v":return this.currentNode="v",!0;default:return!1}},parseText:function(a){switch(this.currentNode){case"f":this.model.formula=this.model.formula?this.model.formula+a:a;break;case"v":this.model.value=this.model.value?this.model.value+a:a}},parseClose:function(a){switch(a){case"c":var b=this.model;if(b.formula||b.sharedFormula)b.type=Enums.ValueType.Formula,b.value&&("str"===this.t?b.result=utils.xmlDecode(b.value):"b"===this.t?b.result=0!==parseInt(b.value,10):"e"===this.t?b.result={error:b.value}:b.result=parseFloat(b.value),b.value=void 0);else if(void 0!==b.value)switch(this.t){case"s":b.type=Enums.ValueType.String,b.value=parseInt(b.value,10);break;case"str":b.type=Enums.ValueType.String,b.value=utils.xmlDecode(b.value);break;case"b":b.type=Enums.ValueType.Boolean,b.value=0!==parseInt(b.value,10);break;case"e":b.type=Enums.ValueType.Error,b.value={error:b.value};break;default:b.type=Enums.ValueType.Number,b.value=parseFloat(b.value)}else b.styleId?b.type=Enums.ValueType.Null:b.type=Enums.ValueType.Merge;return!1;case"f":case"v":return this.currentNode=void 0,!0;default:return!1}},reconcile:function(a,b){var c=a.styleId&&b.styles.getStyleModel(a.styleId);switch(c&&(a.style=c),void 0!==a.styleId&&(a.styleId=void 0),a.type){case Enums.ValueType.String:"number"==typeof a.value&&(a.value=b.sharedStrings.getString(a.value)),a.value.richText&&(a.type=Enums.ValueType.RichText);break;case Enums.ValueType.Number:c&&utils.isDateFmt(c.numFmt)&&(a.type=Enums.ValueType.Date,a.value=utils.excelToDate(a.value,b.date1904));break;case Enums.ValueType.Formula:void 0!==a.result&&c&&utils.isDateFmt(c.numFmt)&&(a.result=utils.excelToDate(a.result,b.date1904)),a.sharedFormula&&(a.formula?(b.formulae[a.si]=a,delete a.sharedFormula):a.sharedFormula=b.formulae[a.si].address,delete a.si)}var d=b.hyperlinkMap.getHyperlink(a.address);d&&(a.type=Enums.ValueType.Hyperlink,a.text=a.value,a.value=void 0,a.hyperlink=d)}});