/*! ExcelJS 28-04-2017 */
"use strict";var fs=require("fs"),ZipStream=require("../utils/zip-stream"),StreamBuf=require("../utils/stream-buf"),PromishLib=require("../utils/promish"),utils=require("../utils/utils"),XmlStream=require("../utils/xml-stream"),StylesXform=require("./xform/style/styles-xform"),CoreXform=require("./xform/core/core-xform"),SharedStringsXform=require("./xform/strings/shared-strings-xform"),RelationshipsXform=require("./xform/core/relationships-xform"),ContentTypesXform=require("./xform/core/content-types-xform"),AppXform=require("./xform/core/app-xform"),WorkbookXform=require("./xform/book/workbook-xform"),WorksheetXform=require("./xform/sheet/worksheet-xform"),theme1Xml=require("./xml/theme1.xml.js"),XLSX=module.exports=function(a){this.workbook=a};XLSX.RelType=require("./rel-type"),XLSX.prototype={readFile:function(a){var b,c=this;return utils.fs.exists(a).then(function(d){if(!d)throw new Error("File not found: "+a);return b=fs.createReadStream(a),c.read(b)}).then(function(a){return b.close(),a})},parseRels:function(a){return(new RelationshipsXform).parseStream(a)},parseWorkbook:function(a){return(new WorkbookXform).parseStream(a)},parseSharedStrings:function(a){return(new SharedStringsXform).parseStream(a)},reconcile:function(a){var b=new WorkbookXform,c=new WorksheetXform;b.reconcile(a);var d={styles:a.styles,sharedStrings:a.sharedStrings,date1904:a.properties.date1904};a.worksheets.forEach(function(b){b.relationships=a.worksheetRels[b.sheetNo],c.reconcile(b,d)}),a.worksheetHash=void 0,a.worksheetRels=void 0,a.globalRels=void 0,a.sharedStrings=void 0,a.workbookRels=void 0,a.sheetDefs=void 0,a.styles=void 0},processWorksheetEntry:function(a,b){var c=a.path.match(/xl\/worksheets\/sheet(\d+)\.xml/);if(c){var d=c[1];return(new WorksheetXform).parseStream(a).then(function(c){c.sheetNo=d,b.worksheetHash[a.path]=c,b.worksheets.push(c)})}},processWorksheetRelsEntry:function(a,b){var c=a.path.match(/xl\/worksheets\/_rels\/sheet(\d+)\.xml.rels/);if(c){var d=c[1];return(new RelationshipsXform).parseStream(a).then(function(a){b.worksheetRels[d]=a})}},processThemeEntry:function(a,b){var c=a.path.match(/xl\/theme\/([a-zA-Z0-9]+)\.xml/);if(c)return new PromishLib.Promish(function(d,e){var f=c[1],g=new StreamBuf;a.on("error",e),g.on("error",e),g.on("finish",function(){b.themes[f]=g.read().toString(),d()}),a.pipe(g)})},processIgnoreEntry:function(a){a.autodrain()},createInputStream:function(){var a=this,b={worksheets:[],worksheetHash:{},worksheetRels:[],themes:{}},c=[],d=new ZipStream.ZipReader;return d.on("entry",function(d){var e=null,f=d.path;switch("/"===f[0]&&(f=f.substr(1)),f){case"_rels/.rels":e=a.parseRels(d).then(function(a){b.globalRels=a});break;case"xl/workbook.xml":e=a.parseWorkbook(d).then(function(a){b.sheets=a.sheets,b.definedNames=a.definedNames,b.views=a.views,b.properties=a.properties});break;case"xl/_rels/workbook.xml.rels":e=a.parseRels(d).then(function(a){b.workbookRels=a});break;case"xl/sharedStrings.xml":b.sharedStrings=new SharedStringsXform,e=b.sharedStrings.parseStream(d);break;case"xl/styles.xml":b.styles=new StylesXform,e=b.styles.parseStream(d);break;case"docProps/app.xml":e=(new AppXform).parseStream(d).then(function(a){Object.assign(b,{company:a.company,manager:a.manager})});break;case"docProps/core.xml":e=(new CoreXform).parseStream(d).then(function(a){Object.assign(b,a)});break;default:e=a.processWorksheetEntry(d,b)||a.processWorksheetRelsEntry(d,b)||a.processThemeEntry(d,b)||a.processIgnoreEntry(d)}e&&(c.push(e),e=null)}),d.on("finished",function(){PromishLib.Promish.all(c).then(function(){a.reconcile(b),a.workbook.model=b}).then(function(){d.emit("done")}).catch(function(a){d.emit("error",a)})}),d},read:function(a){var b=this,c=this.createInputStream();return new PromishLib.Promish(function(d,e){c.on("done",function(){d(b.workbook)}).on("error",function(a){e(a)}),a.pipe(c)})},load:function(a,b){var c=this;void 0===b&&(b={});var d=this.createInputStream();return new PromishLib.Promish(function(e,f){if(d.on("done",function(){e(c.workbook)}).on("error",function(a){f(a)}),b.base64){var g=new Buffer(a.toString(),"base64");d.write(g)}else d.write(a);d.end()})},addContentTypes:function(a,b){return new PromishLib.Promish(function(c){var d=new ContentTypesXform,e=d.toXml(b);a.append(e,{name:"[Content_Types].xml"}),c()})},addApp:function(a,b){return new PromishLib.Promish(function(c){var d=new AppXform,e=d.toXml(b);a.append(e,{name:"docProps/app.xml"}),c()})},addCore:function(a,b){return new PromishLib.Promish(function(c){var d=new CoreXform;a.append(d.toXml(b),{name:"docProps/core.xml"}),c()})},addThemes:function(a,b){return new PromishLib.Promish(function(c){var d=b.themes||{theme1:theme1Xml};Object.keys(d).forEach(function(b){var c=d[b],e="xl/theme/"+b+".xml";a.append(c,{name:e})}),c()})},addOfficeRels:function(a){return new PromishLib.Promish(function(b){var c=new RelationshipsXform,d=c.toXml([{rId:"rId1",type:XLSX.RelType.OfficeDocument,target:"xl/workbook.xml"}]);a.append(d,{name:"_rels/.rels"}),b()})},addWorkbookRels:function(a,b){var c=1,d=[{rId:"rId"+c++,type:XLSX.RelType.Styles,target:"styles.xml"},{rId:"rId"+c++,type:XLSX.RelType.Theme,target:"theme/theme1.xml"}];return b.sharedStrings.count&&d.push({rId:"rId"+c++,type:XLSX.RelType.SharedStrings,target:"sharedStrings.xml"}),b.worksheets.forEach(function(a){a.rId="rId"+c++,d.push({rId:a.rId,type:XLSX.RelType.Worksheet,target:"worksheets/sheet"+a.id+".xml"})}),new PromishLib.Promish(function(b){var c=new RelationshipsXform,e=c.toXml(d);a.append(e,{name:"xl/_rels/workbook.xml.rels"}),b()})},addSharedStrings:function(a,b){return b.sharedStrings&&b.sharedStrings.count?new PromishLib.Promish(function(c){a.append(b.sharedStrings.xml,{name:"xl/sharedStrings.xml"}),c()}):PromishLib.Promish.resolve()},addStyles:function(a,b){return new PromishLib.Promish(function(c){var d=b.styles.xml;d&&a.append(d,{name:"xl/styles.xml"}),c()})},addWorkbook:function(a,b,c){return new PromishLib.Promish(function(d){a.append(c.toXml(b),{name:"xl/workbook.xml"}),d()})},addWorksheets:function(a,b,c){return new PromishLib.Promish(function(d){var e=new RelationshipsXform;b.worksheets.forEach(function(b){var d=new XmlStream;c.render(d,b),a.append(d.xml,{name:"xl/worksheets/sheet"+b.id+".xml"}),b.hyperlinks&&b.hyperlinks.length&&(d=new XmlStream,e.render(d,b.hyperlinks),a.append(d.xml,{name:"xl/worksheets/_rels/sheet"+b.id+".xml.rels"}))}),d()})},_finalize:function(a){var b=this;return new PromishLib.Promish(function(c,d){a.on("finish",function(){c(b)}),a.on("error",d),a.finalize()})},write:function(a,b){b=b||{};var c=this,d=c.workbook.model,e=new ZipStream.ZipWriter;e.pipe(a),d.creator=d.creator||"ExcelJS",d.lastModifiedBy=d.lastModifiedBy||"ExcelJS",d.created=d.created||new Date,d.modified=d.modified||new Date,d.useSharedStrings=void 0===b.useSharedStrings||b.useSharedStrings,d.useStyles=void 0===b.useStyles||b.useStyles,d.sharedStrings=new SharedStringsXform,d.styles=d.useStyles?new StylesXform(!0):new StylesXform.Mock;var f=new WorkbookXform,g=new WorksheetXform,h={sharedStrings:d.sharedStrings,styles:d.styles,date1904:d.properties.date1904};f.prepare(d),d.worksheets.forEach(function(a){g.prepare(a,h)});var i=[c.addContentTypes(e,d),c.addApp(e,d),c.addCore(e,d),c.addThemes(e,d),c.addOfficeRels(e,d)];return PromishLib.Promish.all(i).then(function(){return c.addWorksheets(e,d,g)}).then(function(){var a=[c.addSharedStrings(e,d),c.addStyles(e,d),c.addWorkbookRels(e,d)];return PromishLib.Promish.all(a)}).then(function(){return c.addWorkbook(e,d,f)}).then(function(){return c._finalize(e)})},writeFile:function(a,b){var c=this,d=fs.createWriteStream(a);return new PromishLib.Promish(function(a,e){d.on("finish",function(){a()}),d.on("error",function(a){e(a)}),c.write(d,b).then(function(){d.end()}).catch(function(a){e(a)})})},writeBuffer:function(a){var b=this,c=new StreamBuf;return b.write(c,a).then(function(){return c.read()})}};